org.apache.hc.client5.http.impl.auth

## Class BasicSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.BasicSchemeFactory

- All Implemented Interfaces:
    AuthSchemeFactory

      @Contract(threading=STATELESS)
      public class BasicSchemeFactory
      extends Object
      implements AuthSchemeFactory

  `AuthSchemeFactory` implementation that creates and initializes `BasicScheme` instances.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BasicSchemeFactory` | `INSTANCE` Default instance of `with a null Charset`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSchemeFactory()` Constructs a new `BasicSchemeFactory` with `StandardCharsets.UTF_8` as the charset.
    `BasicSchemeFactory(Charset charset)` Deprecated. This constructor is deprecated to enforce the use of `StandardCharsets.UTF_8` encoding in compliance with RFC 7617 for HTTP Basic Authentication. Use the default constructor `BasicSchemeFactory()` instead.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthScheme` | `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BasicSchemeFactory INSTANCE

      Default instance of `with a null Charset`.

  - ### Constructor Detail

    - #### BasicSchemeFactory

          @Deprecated
          public BasicSchemeFactory(Charset charset)

      Deprecated. This constructor is deprecated to enforce the use of `StandardCharsets.UTF_8` encoding in compliance with RFC 7617 for HTTP Basic Authentication. Use the default constructor `BasicSchemeFactory()` instead.
      Parameters:
        `charset` - the `Charset` set to be used for encoding credentials. This parameter is ignored as UTF-8 is always used.

    - #### BasicSchemeFactory

          public BasicSchemeFactory()

      Constructs a new `BasicSchemeFactory` with `StandardCharsets.UTF_8` as the charset. This default setting aligns with standard practices for encoding credentials in Basic Authentication.

  - ### Method Detail

    - #### create

          public AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

      Description copied from interface: `AuthSchemeFactory`
      Creates an instance of `AuthScheme`.
      Specified by:
        `create` in interface `AuthSchemeFactory`
      Returns:
        auth scheme.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.